|  | Home · All Classes · Main Classes · Grouped Classes · Modules · Functions |

# Qt 3 Support Members for QWSServer

The following class members are part of the Qt 3 support layer. They are provided to help you port old code to Qt 4. We advise against using them in new code.

- QWSServer class reference

### Public Functions

- QWSServer ( int flags, QObject * parent, const char * name )

- 8 public functions inherited from QObject

### Static Public Members

- void setDesktopBackground ( const QImage & img )
- void setDesktopBackground ( const QColor & c )

## Member Function Documentation

### QWSServer::QWSServer ( int flags, QObject * parent, const char * name )

Use the two-argument overload and call setObjectName() instead.

### void QWSServer::setDesktopBackground ( const QImage & img ) `[static]`

Sets the image img to be used as the background in the absence of obscuring windows.

### void QWSServer::setDesktopBackground ( const QColor & c ) `[static]`

This is an overloaded member function, provided for convenience.

Sets the color c to be used as the background in the absence of obscuring windows.